Name: cmake 
%define major 3.7
%define fix 2
Version: %{major}.%{fix}
Release: 3
License: BSD 
Summary: Open source build system 
Url: https://cmake.org

# BuildRequires: ?
BuildRequires: libarchive-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: bzip2-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

Source0: https://cmake.org/files/v%{major}/cmake-%{version}.tar.gz

Source1: OS400.cmake
Source2: OS400-GNU-ASM.cmake
Source3: OS400-GNU-C.cmake
Source4: OS400-GNU.cmake
Source5: OS400-GNU-CXX.cmake
Source6: OS400-GNU-Fortran.cmake
Source7: OS400-XL-ASM.cmake
Source8: OS400-XL-C.cmake
Source9: OS400-XL.cmake
Source10: OS400-XL-CXX.cmake
Source11: OS400-XL-Fortran.cmake

%description
CMake is an open-source, cross-platform family of tools designed to build, test and package software. CMake is used to control the software compilation process using simple platform and compiler independent configuration files, and generate native makefiles and workspaces that can be used in the compiler environment of your choice. The suite of CMake tools were created by Kitware in response to the need for a powerful, cross-platform build environment for open-source projects such as ITK and VTK.

%prep
%setup -q

cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} Modules/Platform

%build

%define with_jsoncpp 0
%define libuv_ok 0

export CFLAGS="-D_LINUX_SOURCE_COMPAT=1 -pthread"
export CXXFLAGS="-D_LINUX_SOURCE_COMPAT=1 -pthread"
export LDFLAGS="-Wl,-bbigtoc -pthread"
export CC="gcc"
export CXX="g++"

./bootstrap \
  --prefix=%{_prefix} \
  --bindir=bin \
  --datadir=share/cmake-%{major} \
  --docdir=share/doc/cmake-%{major} \
  --mandir=share/man \
  --xdgdatadir=share \
%if 0
  # When libarchive, jsoncpp, and libuv built
  # add this and remove the rest of the
  # individual --system-* lines, along with
  # this comment
  --system-libs \
%else
  --system-curl \
  --system-expat \
  --system-zlib \
  --system-bzip2 \
  --system-liblzma \
  --system-libarchive \
%if %{with_jsoncpp}0
  --system-jsoncpp \
%endif
%endif
%if %{libuv_ok}0
  --server \
%else
  --no-server \
  -- \
  -DCMAKE_USE_LIBUV=OFF
%endif
  # end

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/ccmake
%{_bindir}/cmake
%{_bindir}/cpack
%{_bindir}/ctest

%{_docdir}/cmake-%{major}

%{_datadir}/aclocal/cmake.m4
%{_datadir}/cmake-%{major}




%changelog
